// ZenLib::Server::Http::Dispatcher - HTTP server
// Copyright (C) 2008-2008 Jerome Martinez, Zen@MediaArea.net
//
// This software is provided 'as-is', without any express or implied
// warranty.  In no event will the authors be held liable for any damages
// arising from the use of this software.
//
// Permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not
//    claim that you wrote the original software. If you use this software
//    in a product, an acknowledgment in the product documentation would be
//    appreciated but is not required.
// 2. Altered source versions must be plainly marked as such, and must not be
//    misrepresented as being the original software.
// 3. This notice may not be removed or altered from any source distribution.
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// HTTP server
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

//---------------------------------------------------------------------------
#ifndef ZenLib_Server_Http_DispatcherH
#define ZenLib_Server_Http_DispatcherH
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
#include <string>
#include <ctime>
#include <map>
#include <vector>
#include "ZenLib/Format/Http/Request.h"
#undef  __TEXT //dlib include windows.h, which redefine __TEXT
#include "dlib/server.h"
//---------------------------------------------------------------------------

namespace ZenLib
{

namespace Server
{

namespace Http
{

//***************************************************************************
// 
//***************************************************************************

void Dispatcher_Manage(ZenLib::Format::Http::Request* Req, dlib::connection& con);

template <class T>
class Dispatcher : public dlib::server::kernel_1a_c
{
private:
    //Hooks from dlib
    void on_connect (dlib::connection& con)
    {
        T Req;
        Dispatcher_Manage(&Req, con);
    }
};

} //Namespace

} //Namespace

} //Namespace

#endif
